Package wx :: Class PyOnDemandOutputWindow

[frames | no frames]

## Class PyOnDemandOutputWindow

A class that can be used for redirecting Python's stdout and stderr streams. It will do nothing until something is wrriten to the stream at which point it will create a Frame with a text area and write the text there.

Method Summary
| `__init__(self, title)`
| `close(self)`
| `CreateOutputWindow(self, st)`
| `flush(self)`
| `OnCloseWindow(self, event)`
| ``SetParent`(self, parent)` Set the window to be used as the popup Frame's parent.
| ``write`(self, text)` Create the output window if needed and write the string to it.

Method Details

### SetParent(self, parent)

Set the window to be used as the popup Frame's parent.

### write(self, text)

Create the output window if needed and write the string to it. If not called in the context of the gui thread then uses CallAfter to do the work there.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:34 2007 | http://epydoc.sf.net